html {
    font-family: Inter, Helvetica, sans-serif;
    font-size: 14px;
    min-height: 100%;
    position: relative;
    display: flex;
}
body {background:var(--bg3);display: flex;flex-direction: column;margin: 0px;padding: 0px;min-height: 100%;width: 100%;line-height: 150%;color:var(--color);}

* {
    box-sizing: border-box;
}

[data-theme="light"] {
	
	--bg1:#202B46;
	--bg2:#323C55;
	--bg3:#F9F9F9;
	--bg4:#fff;
	--bg5:#fff;
	--bs-danger:red;
	--bs-success:green;
	
	--color:#071437;
	
}

[data-theme="dark"] {
	
--bg1:#15171C;
	
--bg2:#26272F;
	
--bg3:#0f1014;
	
--bg4:#15171c;
	
--bg5: #1C1D22;
	
--bs-danger:red;
	
--bs-success:green;
	
--color:#fff;
}

.mario_tree ul li .icon-foulder {
    margin-left: 10px;
    margin-right: 10px;
}
.mario_tree ul li.current > div {color:red;font-weight:700;}



a {color:#1b84ff;text-decoration:none;}



header {}

.left_panel {
    background-color: var(--bg1);
    position: fixed;
    left: 0px;
    top: 0px;
    height: 100vh;
    width: 235px;
    transition:0.2s;
    z-index: 1;
}

.left_panel .logo {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    padding-top: 0.8rem;
    border-bottom: 1px solid #33446C;
    position: relative;
}
.left_panel .logo img {
    height: 30px;
	opacity:1;
	transition:0.2s;
}

.left_panel .logo i {
	transition:0.2s;
	color: #c4cada;
	background-color: var(--bg2);
	display: inline-flex;
	width: 30px;
	height: 30px;
	flex-shrink: 0;
	border-radius: 5px;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	position: absolute;
	top: 50%;
	transform: translateY(-50%);
	right: 20px;
}
.left_panel .logo i svg {transition:0.2s;width: 20px;height: 20px;}

.left_panel .logo i:hover {color:#1b84ff;}







.table {
}

.table thead {
}

.table thead tr {
}

.table thead th,
.table thead td {
	/*width:33%;*/
}

.table thead th:nth-child(1),
.table thead td:nth-child(1) {
	/*width:0;*/
}

.table thead th:nth-last-child(1),
.table thead td:nth-last-child(1) {
	/*width:0;*/
}


.table tbody {
}

.table tbody tr {
}

.table tbody td {
}


#dataAdd {
	display:none;
}
#dataAdd.show_edit,
#dataAdd.show_add,
#dataAdd.do_add,
#dataAdd.do_edit {
	display:block;
}


.label-important label {
	font-weight:bold;
	color: var(--bs-danger);
}

.label-important input,
.label-important textarea,
.label-important select
{
    border-color: var(--bs-danger);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23dc3545'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(.375em + .1875rem) center;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.label-success {
    /*background-color: var(--bs-success-light);*/
    color: var(--bs-success);
}

.label-important {
    color: var(--bs-danger);
}


#dataList {
}

#dataList tr {
}

#dataList tr td:nth-child(1) {
	width: 1px;
	white-space:nowrap;
	padding-left:1.7rem !important;
}

#dataList tr td:nth-last-child(1) {
	width: 1px;
	white-space:nowrap;
	padding-right:1.7rem !important;
}



.hide, .hidden {
    display: none !important;
}



.card .card-body > .module_submit {
	display:none;
}

.mario_tree ul {
	margin:0;
}

.mainmenu {
    display: flex;
    flex-direction: column;
    margin: 0px;
    padding: 0px;
    list-style: none;
    scrollbar-width: thin;
    scrollbar-color: #DBDFE9;
    scrollbar-color: #F1F1F4 #ffa50000;
    height: calc(100% - 55px);
    margin-top: 10px;
    overflow: auto;
}
.mainmenu > li {}
.mainmenu > li a {
    display: flex;
    align-items: center;
    color: #dcdcdd;
    text-decoration: none;
    padding: 10px 20px;
    padding-right: 0px;
    white-space: nowrap;
}
.mainmenu > li a:hover {color:white;}
.mainmenu > li a i {
    width: 1.5rem;
    height: 1.5rem;
    display: inline-flex;
    margin-right: 10px;
    flex-shrink: 0;
}
.mainmenu > li a i svg {
    width: 100%;
    height: 100%;
}
.mainmenu > li a span {opacity: 1;transition:0.2s;}


.top_panel {
    position: absolute;
    top: 0px;
    left: 0px;
    background: var(--bg4);
    display: flex;
    width: 100%;
    gap: 10px;
    padding: 0px;
    padding-left: 235px;
    padding-right: 25px;
    box-sizing: border-box;
}
.top_panel .btn_theme {
    display: inline-flex;
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
    border-radius: 5px;
    transition: 0.2s;
}
.top_panel .btn_theme:before {content:'';background: url(/project/templates/admin/img/theme.svg) 50% 50% no-repeat;display: block;width: 50%;height: 50%;filter: invert(69%) sepia(11%) saturate(502%) hue-rotate(186deg) brightness(92%) contrast(87%);background-size: contain;}


[data-theme="dark"] .top_panel .btn_theme:before {background: url(/project/templates/admin/img/dark.svg) 50% 50% no-repeat;}

.top_panel .btn_theme:hover {background-color: #f0f0f0;}
.top_panel .btn_theme:hover:before {
    filter: invert(34%) sepia(99%) saturate(970%) hue-rotate(189deg) brightness(105%) contrast(104%);
}

.btn_theme_container {
    position: relative;
    padding: 5px 0px;
    box-sizing: border-box;
    margin-left: auto;
}

@keyframes show_menu {
    from {
    }

    to {
        opacity:1;
		top: 100%;
    }
}
.top_panel .btn_theme_container:hover #menu_theme {display: flex;animation: show_menu .3s ease forwards;}

#menu_theme {
    position: absolute;
    top: 130%;
    right: 0px;
    box-shadow: 0px 0px 50px 0px rgba(82, 63, 105, 0.15);
    border-radius: 5px;
    padding: 10px;
    min-width: 100px;
    opacity: 0;
    transition: 0.2s;
    display: none;
    background: var(--bg5);
    z-index: 9;
}
#menu_theme ul {
    margin: 0px;
    padding: 0px;
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: 100%;
}
#menu_theme ul > li {}
#menu_theme ul > li a {
    color: #4B5675;
    text-decoration: none;
    padding: 5px 10px;
    display: flex;
    align-items: center;
    border-radius: 8px;
}
#menu_theme ul > li a:before {content:'';display: inline-flex;width: 15px;height: 15px;flex-shrink: 0;margin-right: 5px;background-size: contain !important;filter: invert(70%) sepia(4%) saturate(1356%) hue-rotate(186deg) brightness(92%) contrast(86%);}
#menu_theme ul > li a:hover {color:#1B84FF;background:#f0f0f0;}
#menu_theme ul > li a:hover:before {
    filter: invert(44%) sepia(55%) saturate(4641%) hue-rotate(199deg) brightness(101%) contrast(103%);
}
#menu_theme ul > li a span {}
#menu_theme ul > li a span:hover {}
#menu_theme ul > li a[data-theme='light']:before {background: url(/project/templates/admin/img/light.svg) 50% 50% no-repeat;}
#menu_theme ul > li a[data-theme='dark']:before {background:url(/project/templates/admin/img/dark.svg) 50% 50% no-repeat;}
#menu_theme ul > li a.system:before {background:url(/project/templates/admin/img/system.svg) 50% 50% no-repeat;}



.top_panel .btn_person {
    display: inline-flex;
}
.top_panel .btn_person img {
    width: 40px;
    height: 40px;
    border-radius: 5px;
}


.btn_person_continer {
    position: relative;
    padding: 5px 0px;
    box-sizing: border-box;
}


.top_panel .btn_person_continer:hover #menu_person {display: flex;animation: show_menu .3s ease forwards;flex-direction: column;}




#menu_person {
    position: absolute;
    top: 130%;
    right: 0px;
    box-shadow: 0px 0px 50px 0px rgba(82, 63, 105, 0.15);
    border-radius: 5px;
    padding: 10px;
    min-width: 100px;
    opacity: 0;
    transition: 0.2s;
    display: none;
    background: var(--bg5);
    z-index: 9;
}
#menu_person ul {
    margin: 0px;
    padding: 0px;
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 5px;
    border-top: 1px solid #99A1B7;
    padding: 10px;
}
#menu_person ul > li {}
#menu_person ul > li a {
    color: #4B5675;
    text-decoration: none;
    padding: 5px 10px;
    display: flex;
    align-items: center;
    white-space: nowrap;
}
#menu_person ul > li a:hover {color:#1B84FF;}

#menu_person .person_data {
    display: flex;
    align-items: center;
    padding: 10px;
}
#menu_person .person_data img {
    width: 50px;
    height: 50px;
    border-radius: 5px;
    margin-right: 10px;
}
#menu_person .person_data span {}


footer {
    background: white;
    margin-top: auto;
    padding: 20px;
    display: flex;
}
footer .link_sinoby {
    color: #78829D;
    text-decoration: none;
    margin-left: auto;
}


.content {
    margin-left: 235px;
    padding: 20px;
    margin-top: 53px;
    transition: 0.2s;
}


.control_panel .search {
    position: relative;
    margin-right: auto;
}
.control_panel .search:before {content:'';width: 24px;height: 24px;display: block;position: absolute;background: url(/project/templates/admin/img/search.svg) 50% 50% no-repeat;top: 50%;transform: translateY(-50%);left: 15px;filter: invert(34%) sepia(24%) saturate(580%) hue-rotate(186deg) brightness(92%) contrast(94%);}
.control_panel .search input {background: var(--bg3);color:#4B5675;border: 1px solid #99A1B7;height:46px;border-radius: 8px;font-family: inherit;padding-left: 50px;font-size: 14px;box-sizing: border-box;}


.dataList {
    border: 1px solid #99A1B7;
    border-radius: 10px;
    background: var(--bg4);
}

.control_panel {
    padding: 20px;
    padding-bottom: 0px;
    display: flex;
    gap: 10px;
}

.control_panel .btn_add {}
.control_panel .btn_add
.control_panel .btn_add i {}
.control_panel .btn_add i:before {content:'';}
.control_panel .btn_add span {}


.btn {background:#1B84FF;border: 1px solid #1B84FF;height:46px;display:flex;color: white;text-decoration: none;border-radius: 8px;align-items: center;padding: 0px 20px;font-size: 16px;}
.btn i {
    display: inline-flex;
    flex-shrink: 0;
    margin-right: 10px;
    align-items: center;
    justify-content: center;
}
.btn i:before {content:'';width: 100%;height: 100%;}
.btn i.ico1 {
	    width: 14px;
    height: 14px;
    background: white;

}
.btn i.ico2 {
}

.btn i.ico3 {
}

.btn i.ico1:before {background:url(/project/templates/admin/img/plus.svg) 50% 50% no-repeat;width: 9px;height: 13px;}
.btn i.ico2:before {background:url(/project/templates/admin/img/load.svg) 50% 50% no-repeat;width: 16px;height: 13px;filter: invert(99%) sepia(0%) saturate(7500%) hue-rotate(235deg) brightness(102%) contrast(101%);}
.btn i.ico3:before {background:url(/project/templates/admin/img/save.svg) 50% 50% no-repeat;width: 16px;height: 13px;filter: invert(99%) sepia(0%) saturate(7500%) hue-rotate(235deg) brightness(102%) contrast(101%);}


.control_panel .excel_btns {
    display: flex;
    gap: 10px;
}


.data_list {
    border-collapse: collapse;
    width: 100%;
}
.data_list tr {}
.data_list tr th {
    padding: 10px;
    color: #78829d;
    text-transform: uppercase;
    font-weight: 600;
    text-align: left;
}
.data_list tr td {
    padding: 10px;
    border-top: 1px solid #99A1B7;
}

.data_list tr[data-disabled='1'] td {
	opacity:0.3;
}

.dataList tr td:nth-child(1) {white-space: nowrap;width: 1px;}

.dataList tr td:nth-last-child(1) {white-space: nowrap;width: 1px;}

.icon-edit {
    display: inline-block;
    margin-right: 5px;
}
.icon-edit:before {content:'';background: url(/project/templates/admin/img/edit.svg) 50% 50% no-repeat;width: 19px;height: 17px;display: block;filter: invert(67%) sepia(97%) saturate(5384%) hue-rotate(198deg) brightness(99%) contrast(108%);}

.icon-move {
    display: inline-block;
}
.icon-move:before {content:'';background: url(/project/templates/admin/img/move.svg) 50% 50% no-repeat;width: 19px;height: 17px;display: block;}

[data-theme="dark"] .icon-move:before {filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(257deg) brightness(105%) contrast(102%);}

.icon-list {
    display: inline-block;
}
.icon-list:before {content:'';background: url(/project/templates/admin/img/list.svg) 50% 50% no-repeat;width: 16px;height: 16px;display: block;filter: invert(67%) sepia(97%) saturate(5384%) hue-rotate(198deg) brightness(99%) contrast(108%);}

.icon-remove {
    display: inline-block;
}
.icon-remove:before {content:'';background: url(/project/templates/admin/img/cross.svg) 50% 50% no-repeat;width: 16px;height: 16px;display: block;filter: invert(67%) sepia(97%) saturate(5384%) hue-rotate(198deg) brightness(99%) contrast(108%);}

.icon-foulder {
    display: inline-block;
}
.icon-foulder:before {content:'';background: url(/project/templates/admin/img/foulder.svg) 50% 50% no-repeat;width: 16px;height: 16px;display: block;background-size: contain;}


.data_list_count {
    text-align: right;
    background: #1B84FF;
    border-radius: 8px;
    color: white;
    display: inline-block;
    float: right;
    margin-right: 20px;
    margin-top: 20px;
    padding: 0px 10px;
}
.data_list_count span {}


.ui-sortable-helper {
    display: table;
}

.ui-sortable-helper td {border-bottom: 1px solid #99A1B7;}

.dataList tr:hover td {background:#F9F9F9;}




.tabs_container {
    margin: 0px;
    padding: 0px;
    list-style: none;
    padding-top: 10px;
    margin-bottom: 15px;
    font-size: 16px;
    display: flex;
    gap: 20px;
}
.tabs_container li {
    display: inline-block;
    position: relative;
    margin-bottom: -1px;
}
.tabs_container li a {
    display: block;
    border-radius: 4px 4px 0 0;
    border-bottom: 2px solid transparent;
    color: inherit;
    padding-bottom: 5px;
}
.tabs_container li a:hover {border-bottom: 2px solid #1b84ff;}
.tabs_container li.current a {
    border-bottom: 0px;
    color: #1b84ff;
    border-bottom: 2px solid #1b84ff;
}


.mario_tree  {
    margin-left: 20px;
    margin-top: 15px;
    margin-bottom: 15px;
    margin=-b: ;
    margin=-b: 1;
    margin=-b: 15;
    margin=-b: 15p;
    margin=-b: 15px;
    margin=-b: 15p;
    margin=-b: 15;
    margin=-b: 1;
}
.mario_tree  ul {
    margin: 0px;
    padding: 0px;
    margin-left: 15px;
}
.mario_tree  ul li {}
.mario_tree  ul li a {}
.mario_tree  ul li a.current {color:red;font-weight:700;}


#dataTop {
    margin-bottom: 15px;
}
#dataTop .btn {
    width: 150px;
}
#dataTop {}


#dataAdd {
    border: 1px solid #99A1B7;
    border-radius: 8px;
    padding: 0px;
    background: var(--bg4);
    box-shadow: 0px 3px 4px 0px rgba(0, 0, 0, 0.03);
    margin-bottom: 20px;
}
#dataAdd form {}
#dataAdd form .form_header {
    font-size: 20px;
    display: flex;
    justify-content: space-between;
    padding: 20px;
    border-bottom: 1px solid #99A1B7;
}
#dataAdd form .form_header span {}
#dataAdd form .form_header .close {}
#dataAdd form .fields {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 20px;
}
#dataAdd form .fields .control-group {
    display: flex;
    align-items: center;
}
#dataAdd form .fields .control-group .control-label {
    width: 210px;
    font-weight: 600;
    flex-shrink: 0;
    padding-right: 10px;
    box-sizing: border-box;
}
#dataAdd form .fields .control-group .control-label .title {}
#dataAdd form .fields .control-group .control-label .comment {
    color: #78829D;
    font-weight: 400;
}



#dataAdd form .fields .control-group .control {
    display: inline-flex;
    flex: 1;
}
#dataAdd form .form_footer {
    border-top: 1px solid #99A1B7;
    display: flex;
    justify-content: flex-end;
    padding: 20px;
}
#dataAdd form .form_footer [type="submit"] {}



input[type='text'],input[type='tel'],select,textarea {
    height: 45px;
    border-radius: 8px;
    border: 1px solid #F9F9F9;
    padding: 0px 15px;
    background: #F9F9F9;
    background: var(--bg3);
    color: #4B5675;
    font-family: inherit;
    outline: none;
    max-width: 100%;
    box-sizing: border-box;
}
select {}

textarea {height:auto;padding:15px;width:100%;}

input[type='text']:active,input[type='tel']:active,select:active,input[type='text']:focus,input[type='tel']:focus,select:focus {background:#F1F1F4;color:#4B5675;}


input[type='checkbox'][data-type='0'] {
    width: 23px;
    height: 23px;
    border-radius: 6px;
    background: #F1F1F4;
    border: 0px;
    appearance: none;
    background-position: 50% 50%;
    background-repeat: no-repeat;
}

input[type='checkbox'][data-type='0']:checked {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 13 11' width='13' height='11' fill='none'%3e%3cpath d='M11.0426 1.02893C11.3258 0.695792 11.8254 0.655283 12.1585 0.938451C12.4917 1.22162 12.5322 1.72124 12.249 2.05437L5.51985 9.97104C5.23224 10.3094 4.72261 10.3451 4.3907 10.05L0.828197 6.88335C0.50141 6.59288 0.471975 6.09249 0.762452 5.7657C1.05293 5.43891 1.55332 5.40948 1.88011 5.69995L4.83765 8.32889L11.0426 1.02893Z' fill='%23ffffff'/%3e%3c/svg%3e");
    background-color: #1b84ff;
}


input[type='checkbox'][data-type='1'] {
    width: 45px;
    height: 30px;
    border-radius: 100px;
    background: #F1F1F4;
    border: 0px;
    appearance: none;
    background-position: left center;
    background-repeat: no-repeat;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23ffffff'/%3e%3c/svg%3e");
}

input[type='checkbox'][data-type='1']:checked {
	background-position: right center;
    background-color: #1b84ff;
}




.login_container {
    display: flex;
    height: 100%;
}
.login_container .column {
    width: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 30px;
}
.login_container .column1 {
    background: url(/project/templates/admin/img/auth-bg.png) 50% 50% no-repeat;
}
.login_container .logo {
    height: 50px;
}
.login_container .image {
    display: block;
    margin: 5%;
}
.login_container .image img {
    max-width: 100%;
}
.login_container .title {
    color: white;
    font-size: 20px;
    font-weight: 700;
    text-align: center;
}
.login_container .comment {
    color: white;
    text-align: center;
    font-size: 10px;
}
.login_container h1 {}
.login_container form {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 430px;
    max-width: 100%;
}
.login_container form .email {}
.login_container form .email input {}
.login_container form .pw {}
.login_container form .pw input {}
.login_container form button {
    width: 100%;
    justify-content: center;
}
.login_container form input {
    border: 1px solid #99A1B7;
    height: 45px;
    background: none;
    border-radius: 8px;
    padding: 0px 15px;
    box-sizing: border-box;
    width: 100%;
}



#dataAdd form .fields .control-group.block_type {
    flex-direction: column;
    align-items: flex-start;
    background: #F1F1F4;
    padding: 15px;
}
#dataAdd form .fields .control-group.block_type .control-label {}
#dataAdd form .fields .control-group.block_type > .control {
    gap: 20px;
}
#dataAdd form .fields .control-group.block_type #block_type {}
#dataAdd form .fields .control-group.block_type #block_type_block_controls {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
